## org.apache.lucene.analysis.payloads
Class TokenOffsetPayloadTokenFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.payloads.TokenOffsetPayloadTokenFilter

    public class TokenOffsetPayloadTokenFilter

extends org.apache.lucene.analysis.TokenFilter

Adds the `Token.setStartOffset(int)` and `Token.setEndOffset(int)` First 4 bytes are the start

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary
`protected org.apache.lucene.analysis.tokenattributes.OffsetAttribute` `offsetAtt`
`protected org.apache.lucene.analysis.tokenattributes.PayloadAttribute` `payAtt`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`TokenOffsetPayloadTokenFilter(org.apache.lucene.analysis.TokenStream input)`

Method Summary
`boolean` `incrementToken()`
`org.apache.lucene.analysis.Token` `next()` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
`org.apache.lucene.analysis.Token` `next(org.apache.lucene.analysis.Token reusableToken)` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`getOnlyUseNewAPI, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### offsetAtt

    protected org.apache.lucene.analysis.tokenattributes.OffsetAttribute offsetAtt

### payAtt

    protected org.apache.lucene.analysis.tokenattributes.PayloadAttribute payAtt

Constructor Detail

### TokenOffsetPayloadTokenFilter

    public TokenOffsetPayloadTokenFilter(org.apache.lucene.analysis.TokenStream input)

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws java.io.IOException

  Overrides:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

### next

    public final org.apache.lucene.analysis.Token next(org.apache.lucene.analysis.Token reusableToken)
                                                throws java.io.IOException

  Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

  Overrides:
    `next` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

### next

    public final org.apache.lucene.analysis.Token next()
                                                throws java.io.IOException

  Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

  Overrides:
    `next` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.